Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQConstString Class Reference

The TQConstString class provides string objects using constant Unicode data. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqstring.h>`

List of all member functions.

## Public Members

- TQConstString ( const TQChar * unicode, uint length )
- ~TQConstString ()
- const TQString & string () const

## Detailed Description

The TQConstString class provides string objects using constant Unicode data.

In order to minimize copying, highly optimized applications can use TQConstString to provide a TQString-compatible object from existing Unicode data. It is then the programmer's responsibility to ensure that the Unicode data exists for the entire lifetime of the TQConstString object.

A TQConstString is created with the TQConstString constructor. The string held by the object can be obtained by calling string().

See also Text Related Classes.

## Member Function Documentation

### TQConstString::TQConstString ( const TQChar * unicode, uint length )

Constructs a TQConstString that uses the first length Unicode characters in the array unicode. Any attempt to modify copies of the string will cause it to create a copy of the data, thus it remains forever unmodified.

The data in unicode is not copied. The caller must be able to guarantee that unicode will not be deleted or modified.

### TQConstString::~TQConstString ()

Destroys the TQConstString, creating a copy of the data if other strings are still using it.

### const TQString & TQConstString::string () const

Returns a constant string referencing the data passed during construction.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.